## subtitlecomposer 0.6.6

=== CMakeLists.txt ===
project(subtitlecomposer)

cmake_minimum_required(VERSION 3.3 FATAL_ERROR)
set(QT_MIN_VERSION "5.3.0")
set(KF5_MIN_VERSION "5.2.0")

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM 1.2.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

cmake_policy(SET CMP0043 NEW)
cmake_policy(SET CMP0063 NEW)
cmake_policy(SET CMP0071 NEW)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

include(ECMInstallIcons)

include(ECMAddTests) # build tests

include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
	Core Widgets Gui Test
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
	Auth Config ConfigWidgets CoreAddons I18n KIO XmlGui
	Sonnet Kross Codecs TextWidgets WidgetsAddons)

add_subdirectory(po)
add_subdirectory(src)

=== src/CMakeLists.txt ===
if(NOT CMAKE_BUILD_TYPE)
	message(STATUS "No build type selected, default to Release")
	set(CMAKE_BUILD_TYPE "Release")
endif()

if(CMAKE_COMPILER_IS_GNUCC)
	message(STATUS "GNU C compiler detected")
	set(CMAKE_C_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall -O0 -g")
	set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall -O0 -g")
	set(CMAKE_C_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -Wall -O2 -pipe -fstack-protector --param=ssp-buffer-size=4")
	set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -Wall -O2 -pipe -fstack-protector --param=ssp-buffer-size=4")
	set(CMAKE_C_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELEASE} -g")
	set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELEASE} -g")
endif()

include_directories(
	${CMAKE_CURRENT_BINARY_DIR} # so files can find config.h
	${CMAKE_CURRENT_SOURCE_DIR} # so that we can refer to our files starting at src dir
	${Qt5Core_INCLUDE_DIRS} ${Qt5Widgets_INCLUDE_DIRS} ${Qt5Gui_INCLUDE_DIRS}
)

add_definitions(${QT_DEFINITIONS} -fexceptions -DHAVE_CONFIG_H)
add_definitions(-D_DEFAULT_SOURCE)

find_package(FFmpeg REQUIRED)

# the subdirs must be added in a specific order
# if one dir uses code from another, its CMakeLists.txt will reference variables
# defined in the dependency directory that must be created before the former
# CMakeLists.txt is processed

set(SC_PLUGIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_LIBDIR}/subtitlecomposer CACHE INTERNAL EXPORTEDVARIABLE)
message(STATUS "Subtitle Composer plugin path: ${SC_PLUGIN_INSTALL_DIR}")

set(subtitlecomposer_LIBS
	Qt5::Core Qt5::Widgets Qt5::Gui
	KF5::CoreAddons KF5::WidgetsAddons KF5::TextWidgets KF5::Codecs
	KF5::SonnetCore KF5::SonnetUi
	KF5::KIOCore KF5::KIOFileWidgets KF5::KIOWidgets KF5::KIONTLM
	KF5::KrossCore KF5::KrossUi KF5::XmlGui KF5::I18n
	CACHE INTERNAL EXPORTEDVARIABLE
)

add_subdirectory(helpers)
add_subdirectory(core)
add_subdirectory(formats)
add_subdirectory(widgets)
add_subdirectory(videoplayer)
add_subdirectory(streamprocessor)
add_subdirectory(speechprocessor)

add_subdirectory(configs)
add_subdirectory(dialogs)
add_subdirectory(icons)
add_subdirectory(actions)
add_subdirectory(utils)
add_subdirectory(scripting)

include_directories(
	${helpers_INCLUDE_DIR}
	${core_INCLUDE_DIR}
	${formats_INCLUDE_DIR}
	${videoplayer_INCLUDE_DIR}
	${streamprocessor_INCLUDE_DIR}
	${speechprocessor_INCLUDE_DIR}
	${widgets_INCLUDE_DIR}
	${FFMPEG_INCLUDE_DIR}
)

set(subtitlecomposer_SRCS
	${helpers_SRCS}
	${core_SRCS}
	${formats_SRCS}
	${videoplayer_SRCS}
	${streamprocessor_SRCS}
	${speechprocessor_SRCS}
	${widgets_SRCS}
	${main_configs_SRCS}
	${main_dialogs_SRCS}
	${main_actions_SRCS}
	${main_utils_SRCS}
	${main_scripting_SRCS}
	${CMAKE_CURRENT_SOURCE_DIR}/application.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/currentlinewidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/lineswidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/main.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/mainwindow.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/playerwidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/waveformwidget.cpp
	CACHE INTERNAL EXPORTEDVARIABLE
)

kconfig_add_kcfg_files(subtitlecomposer_SRCS GENERATE_MOC ${CMAKE_CURRENT_SOURCE_DIR}/scconfig.kcfgc)

ki18n_wrap_ui(subtitlecomposer_SRCS
	${formats_UIS}
	${main_configs_UIS}
	${main_dialogs_UIS}
	${main_scripting_UIS})

add_executable(subtitlecomposer ${subtitlecomposer_SRCS})

qt5_use_modules(subtitlecomposer Core Widgets)

# Xine videoplayer plugin needs XInitThreads() call in main
# optional since Xine will not be built without X11
find_package(X11 QUIET)

target_link_libraries(subtitlecomposer
	${subtitlecomposer_LIBS}
	${helpers_LIBS}
	${core_LIBS}
	${formats_LIBS}
	${videoplayer_LIBS}
	${streamprocessor_LIBS}
	${speechprocessor_LIBS}
	${widgets_LIBS}
	${X11_LIBRARIES}
	${FFMPEG_LIBRARIES}
)

add_definitions(
	${helpers_DEFS}
	${core_DEFS}
	${formats_DEFS}
	${videoplayer_DEFS}
	${streamprocessor_DEFS}
	${speechprocessor_DEFS}
	${widgets_DEFS}
)

install(TARGETS subtitlecomposer DESTINATION ${BIN_INSTALL_DIR})

install(FILES subtitlecomposerrc DESTINATION ${CONFIG_INSTALL_DIR})
install(FILES subtitlecomposerui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/subtitlecomposer)
install(FILES subtitlecomposer.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES subtitlecomposer.xml DESTINATION ${XDG_MIME_INSTALL_DIR})

add_subdirectory(videoplayerplugins)

add_subdirectory(speechplugins)

# do the configuration of config.h at the end, so all the necessary variables have been set
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

=== po/bg/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(bg ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} PO_FILES ${_po_files})

=== po/de/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(de ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} PO_FILES ${_po_files})

=== po/es/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(es ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} PO_FILES ${_po_files})

=== po/hu/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(hu ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} PO_FILES ${_po_files})

=== po/pt_BR/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(pt_BR ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} PO_FILES ${_po_files})

=== po/ru/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(ru ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} PO_FILES ${_po_files})

=== po/sr/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(sr ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} PO_FILES ${_po_files})

=== po/sr@latin/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(sr@latin ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} PO_FILES ${_po_files})

=== src/configs/CMakeLists.txt ===
set(main_configs_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/configdialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/errorsconfigwidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/generalconfigwidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/playerconfigwidget.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/waveformconfigwidget.cpp
	CACHE INTERNAL EXPORTEDVARIABLE
)

set(main_configs_UIS
	${CMAKE_CURRENT_SOURCE_DIR}/errorsconfigwidget.ui
	${CMAKE_CURRENT_SOURCE_DIR}/generalconfigwidget.ui
	${CMAKE_CURRENT_SOURCE_DIR}/playerconfigwidget.ui
	${CMAKE_CURRENT_SOURCE_DIR}/waveformconfigwidget.ui
	CACHE INTERNAL EXPORTEDVARIABLE
)

=== src/core/CMakeLists.txt ===
set(core_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/action.h
	${CMAKE_CURRENT_SOURCE_DIR}/compositeaction.h
	${CMAKE_CURRENT_SOURCE_DIR}/actionmanager.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/formatdata.h
	${CMAKE_CURRENT_SOURCE_DIR}/range.h
	${CMAKE_CURRENT_SOURCE_DIR}/rangelist.h
	${CMAKE_CURRENT_SOURCE_DIR}/time.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/sstring.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/subtitle.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/subtitleactions.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/subtitleiterator.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/subtitleline.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/subtitlelineactions.cpp
	CACHE INTERNAL EXPORTEDVARIABLE
)

add_subdirectory(tests)

=== debian/changelog ===
subtitlecomposer (0.6.6-2) unstable; urgency=medium

  * Team upload.
  * Configure Xvfb so it has a proper depth; it should work also when Qt is
    built with OpenGL ES.

 -- Pino Toscano <pino@debian.org>  Thu, 15 Feb 2018 08:35:11 +0100

subtitlecomposer (0.6.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add new build dependencies required by the new version: libavcodec-dev,
    libavformat-dev, libavutil-dev, and libswresample-dev.
  * Do not fail if cmake does not have policy CMP0071; patch cmake-policy.diff.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Update copyright.
  * Small changes to the description.

 -- Pino Toscano <pino@debian.org>  Thu, 15 Feb 2018 07:49:50 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with=kf5

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/subtitlecomposer-$1.tar.gz/g" \
 https://github.com/maxrd2/subtitlecomposer/releases .*/v?(\d\S*)\.tar\.gz

## subtitlecomposer 0.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,9 @@
 
 cmake_policy(SET CMP0043 NEW)
 cmake_policy(SET CMP0063 NEW)
-cmake_policy(SET CMP0071 NEW)
+if(POLICY CMP0071)
+	cmake_policy(SET CMP0071 NEW)
+endif()
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -32,5 +34,14 @@
 	Auth Config ConfigWidgets CoreAddons I18n KIO XmlGui
 	Sonnet Kross Codecs TextWidgets WidgetsAddons)
 
+if(APP_VERSION)
+	message(STATUS "Building as custom version ${APP_VERSION}")
+	set(APP_VERSION ${APP_VERSION} CACHE INTERNAL EXPORTEDVARIABLE)
+else()
+	set(APP_VERSION 0.7.0 CACHE INTERNAL EXPORTEDVARIABLE)
+endif()
+
 add_subdirectory(po)
 add_subdirectory(src)
+
+install(FILES pkg/misc/subtitlecomposer.desktop.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== po/CMakeLists.txt ===
add_subdirectory(bg)
add_subdirectory(cs)
add_subdirectory(de)
add_subdirectory(el)
add_subdirectory(es)
add_subdirectory(fr)
add_subdirectory(hr)
add_subdirectory(hu)
add_subdirectory(it)
add_subdirectory(pl)
add_subdirectory(pt_BR)
add_subdirectory(ru)
add_subdirectory(sr)
add_subdirectory(sr@latin)
add_subdirectory(uk)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,8 @@
 	set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall -O0 -g")
 	set(CMAKE_C_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -Wall -O2 -pipe -fstack-protector --param=ssp-buffer-size=4")
 	set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -Wall -O2 -pipe -fstack-protector --param=ssp-buffer-size=4")
-	set(CMAKE_C_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELEASE} -g")
-	set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELEASE} -g")
+	set(CMAKE_C_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELEASE} -g -Wall -O2 -pipe -fstack-protector --param=ssp-buffer-size=4")
+	set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELEASE} -g -Wall -O2 -pipe -fstack-protector --param=ssp-buffer-size=4")
 endif()
 
 include_directories(
@@ -29,7 +29,7 @@
 # defined in the dependency directory that must be created before the former
 # CMakeLists.txt is processed
 
-set(SC_PLUGIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_LIBDIR}/subtitlecomposer CACHE INTERNAL EXPORTEDVARIABLE)
+set(SC_PLUGIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_LIBDIR}/subtitlecomposer" CACHE STRING EXPORTEDVARIABLE)
 message(STATUS "Subtitle Composer plugin path: ${SC_PLUGIN_INSTALL_DIR}")
 
 set(subtitlecomposer_LIBS
@@ -100,12 +100,6 @@
 
 add_executable(subtitlecomposer ${subtitlecomposer_SRCS})
 
-qt5_use_modules(subtitlecomposer Core Widgets)
-
-# Xine videoplayer plugin needs XInitThreads() call in main
-# optional since Xine will not be built without X11
-find_package(X11 QUIET)
-
 target_link_libraries(subtitlecomposer
 	${subtitlecomposer_LIBS}
 	${helpers_LIBS}
@@ -117,6 +111,8 @@
 	${widgets_LIBS}
 	${X11_LIBRARIES}
 	${FFMPEG_LIBRARIES}
+	Qt5::Core
+	Qt5::Widgets
 )
 
 add_definitions(

=== po/cs/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(cs ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} PO_FILES ${_po_files})

=== po/el/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(el ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} PO_FILES ${_po_files})

=== po/fr/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(fr ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} PO_FILES ${_po_files})

=== po/hr/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(hr ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} PO_FILES ${_po_files})

=== po/pl/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(pl ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} PO_FILES ${_po_files})

=== po/uk/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(uk ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} PO_FILES ${_po_files})

=== src/actions/CMakeLists.txt ===
set(main_actions_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/useraction.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/useractionnames.h
	${CMAKE_CURRENT_SOURCE_DIR}/kcodecactionext.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/krecentfilesactionext.cpp
	CACHE INTERNAL EXPORTEDVARIABLE
)

=== src/core/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,4 @@
 set(core_SRCS
-	${CMAKE_CURRENT_SOURCE_DIR}/action.h
-	${CMAKE_CURRENT_SOURCE_DIR}/compositeaction.h
-	${CMAKE_CURRENT_SOURCE_DIR}/actionmanager.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/formatdata.h
 	${CMAKE_CURRENT_SOURCE_DIR}/range.h
 	${CMAKE_CURRENT_SOURCE_DIR}/rangelist.h
@@ -12,6 +9,7 @@
 	${CMAKE_CURRENT_SOURCE_DIR}/subtitleiterator.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/subtitleline.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/subtitlelineactions.cpp
+	${CMAKE_CURRENT_SOURCE_DIR}/undoaction.cpp
 	CACHE INTERNAL EXPORTEDVARIABLE
 )

=== src/helpers/CMakeLists.txt ===
set(helpers_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/commondefs.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/fileloadhelper.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/filesavehelper.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/filetrasher.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/languagecode.cpp
	CACHE INTERNAL EXPORTEDVARIABLE
)

=== debian/changelog ===
subtitlecomposer (0.7.0-1build2) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:42:18 +0100

subtitlecomposer (0.7.0-1build1) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 09:43:52 +0100

subtitlecomposer (0.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - cmake-policy.diff: drop, fixed upstream
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Remove the libx11-dev build dependency, no more needed now.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Stop installing the AUTHORS file, as it does not exist anymore.
  * Avoid installing the appstream XML file for now, as it seems not valid.

 -- Pino Toscano <pino@debian.org>  Mon, 08 Jul 2019 21:50:51 +0200

=== debian/control ===
Source: subtitlecomposer
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: debhelper (>= 11~), cmake, pkg-kde-tools (>= 0.15.16),
 qtbase5-dev,
 extra-cmake-modules (>= 1.2.0),
 libkf5auth-dev,
 libkf5codecs-dev,
 libkf5config-dev,
 libkf5configwidgets-dev,
 libkf5coreaddons-dev,
 libkf5i18n-dev,
 libkf5kio-dev,
 kross-dev,
 libkf5sonnet-dev,
 libkf5textwidgets-dev,
 libkf5widgetsaddons-dev,
 libkf5xmlgui-dev,
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libswresample-dev,
 libphonon4qt5-dev, libphonon4qt5experimental-dev,
 pkg-config,
 libgstreamer-plugins-base1.0-dev, libglib2.0-dev,
 libicu-dev,
 libmpv-dev,
 libxcb1-dev,
# for tests:
 xvfb, xauth,
Standards-Version: 4.4.0
Homepage: https://github.com/maxrd2/subtitlecomposer
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/subtitlecomposer
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/subtitlecomposer.git

Package: subtitlecomposer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mplayer
Description: text-based subtitle editor
 A text-based subtitles editor supporting basic operations (text, time and
 style edition), realtime previewing and spell checking. Other fancy features
 are delaying all subtitles in the current subtitle file, checking errors or
 creating translations.
 .
 Different backends (GStreamer, MPlayer, MPV, or Phonon) can be used to play
 the realtime video preview which helps to synchronize the subtitles.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with=kf5

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test

override_dh_auto_install:
	dh_auto_install
	# the appstream file seems invalid, avoid installing it for now
	rm -rf debian/subtitlecomposer/usr/share/metainfo/

## subtitlecomposer 0.7.1

=== CMakeLists.txt ===
cmake_policy(SET CMP0048 NEW)
project(subtitlecomposer VERSION "0.7.1")

cmake_minimum_required(VERSION 3.4 FATAL_ERROR)
set(QT_MIN_VERSION "5.9.0")
set(KF5_MIN_VERSION "5.44.0")

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM 1.2.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

cmake_policy(SET CMP0043 NEW)
cmake_policy(SET CMP0063 NEW)
if(POLICY CMP0071)
	cmake_policy(SET CMP0071 NEW)
endif()

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests) # build tests

include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
	Core Widgets Gui Test)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
	Auth Config ConfigWidgets CoreAddons I18n KIO XmlGui
	Sonnet Kross Codecs TextWidgets WidgetsAddons)


find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

add_subdirectory(src)

add_custom_target(nsis COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/pkg/mingw/nsi-installer.sh" `${CMAKE_C_COMPILER} -dumpmachine`)

=== src/CMakeLists.txt ===
if(NOT CMAKE_BUILD_TYPE)
	message(STATUS "No build type selected, default to Release")
	set(CMAKE_BUILD_TYPE "Release")
endif()

if(CMAKE_COMPILER_IS_GNUCC)
	message(STATUS "GNU C compiler detected")
	set(CMAKE_C_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall -Og -g")
	set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wall -Og -g")
	set(CMAKE_C_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -Wall -O3")
	set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -Wall -O3")
	set(CMAKE_C_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELEASE} -Wall -O3 -g")
	set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELEASE} -Wall -O3 -g")
endif()

ecm_setup_version(${PROJECT_VERSION}
	VARIABLE_PREFIX SUBTITLECOMPOSER
	SOVERSION ${PROJECT_VERSION_MAJOR}
	VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/config-subtitlecomposer.h"
)

add_definitions(-D_DEFAULT_SOURCE)
if(APPIMAGE)
	message(STATUS "AppImage build enabled")
	set(SC_APPIMAGE 1 CACHE INTERNAL EXPORTEDVARIABLE)
endif()

find_package(FFmpeg 57.83.100 REQUIRED)
find_package(OpenAL REQUIRED)
find_package(ICU)

set(SC_PLUGIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_LIBDIR}/subtitlecomposer" CACHE STRING EXPORTEDVARIABLE)
message(STATUS "Subtitle Composer plugin path: ${SC_PLUGIN_INSTALL_DIR}")

include_directories(
	${CMAKE_CURRENT_SOURCE_DIR} # so that we can refer to our files starting at src dir
	${CMAKE_CURRENT_SOURCE_DIR}/widgets # needed for .ui files to access custom widgets
)

set(subtitlecomposer_SRCS
	#[[ main ]] application.cpp application_actions.cpp application_errorcheck.cpp application_subtitle.cpp mainwindow.cpp
	#[[ actions ]] actions/useraction.cpp actions/useractionnames.h actions/kcodecactionext.cpp actions/krecentfilesactionext.cpp
	#[[ configs ]] configs/configdialog.cpp configs/errorsconfigwidget.cpp configs/generalconfigwidget.cpp configs/playerconfigwidget.cpp configs/waveformconfigwidget.cpp
	#[[ core ]] core/formatdata.h core/range.h core/rangelist.h core/time.cpp core/richdocument.cpp core/richdocumenteditor.cpp core/sstring.cpp
	core/subtitle.cpp core/subtitleiterator.cpp core/subtitleline.cpp core/undo/subtitleactions.cpp core/undo/subtitlelineactions.cpp
	core/undo/undoaction.cpp core/undo/undostack.cpp
	#[[ dialogs ]] dialogs/actiondialog.cpp #[[dialogs/actionwitherrortargetsdialog.cpp]] dialogs/actionwithtargetdialog.cpp dialogs/adjusttimesdialog.cpp
	dialogs/autodurationsdialog.cpp dialogs/changeframeratedialog.cpp dialogs/changetextscasedialog.cpp dialogs/durationlimitsdialog.cpp
	dialogs/encodingdetectdialog.cpp dialogs/fixoverlappingtimesdialog.cpp dialogs/fixpunctuationdialog.cpp dialogs/insertlinedialog.cpp
	dialogs/intinputdialog.cpp dialogs/joinsubtitlesdialog.cpp dialogs/progressdialog.cpp dialogs/removelinesdialog.cpp dialogs/selectablesubtitledialog.cpp
	dialogs/shifttimesdialog.cpp dialogs/smarttextsadjustdialog.cpp dialogs/splitsubtitledialog.cpp dialogs/subtitlecolordialog.cpp
	dialogs/syncsubtitlesdialog.cpp dialogs/textinputdialog.cpp dialogs/translatedialog.cpp
	#[[ errors ]] errors/errorfinder.cpp errors/errortracker.cpp errors/finderrorsdialog.cpp
	#[[ formats ]] formats/format.h formats/formatmanager.h formats/inputformat.h formats/outputformat.h formats/formatmanager.cpp
	formats/microdvd/microdvdinputformat.h formats/microdvd/microdvdoutputformat.h
	formats/mplayer/mplayerinputformat.h formats/mplayer/mplayeroutputformat.h
	formats/mplayer2/mplayer2inputformat.h formats/mplayer2/mplayer2outputformat.h
	formats/subrip/subripinputformat.h formats/subrip/subripoutputformat.h
	formats/substationalpha/substationalphainputformat.h formats/substationalpha/substationalphaoutputformat.h
	formats/subviewer1/subviewer1inputformat.h formats/subviewer1/subviewer1outputformat.h
	formats/subviewer2/subviewer2inputformat.h formats/subviewer2/subviewer2outputformat.h
	formats/textdemux/textdemux.cpp
	formats/tmplayer/tmplayerinputformat.h formats/tmplayer/tmplayeroutputformat.h
	formats/vobsub/vobsubinputformat.h formats/vobsub/vobsubinputinitdialog.cpp formats/vobsub/vobsubinputprocessdialog.cpp
	formats/youtubecaptions/youtubecaptionsinputformat.h formats/youtubecaptions/youtubecaptionsoutputformat.h
	#[[ gui ]] gui/currentlinewidget.cpp gui/playerwidget.cpp
	#[[ gui/waveform ]] gui/waveform/waveformwidget.cpp gui/waveform/wavebuffer.cpp gui/waveform/zoombuffer.cpp gui/waveform/waverenderer.cpp
	gui/waveform/wavesubtitle.cpp
	#[[ gui/treeview ]] gui/treeview/linesitemdelegate.cpp gui/treeview/linesmodel.cpp gui/treeview/linesselectionmodel.cpp gui/treeview/lineswidget.cpp
	gui/treeview/richlineedit.cpp gui/treeview/richdocumentptr.cpp gui/treeview/treeview.cpp
	#[[ helpers ]] helpers/commondefs.cpp helpers/fileloadhelper.cpp helpers/filesavehelper.cpp helpers/filetrasher.cpp helpers/languagecode.cpp helpers/pluginhelper.h
	#[[ scripting ]] scripting/scriptsmanager.cpp
	scripting/scripting_rangesmodule.cpp scripting/scripting_stringsmodule.cpp scripting/scripting_subtitlemodule.cpp scripting/scripting_subtitlelinemodule.cpp
	scripting/scripting_list.cpp scripting/scripting_range.cpp scripting/scripting_rangelist.cpp scripting/scripting_sstring.cpp scripting/scripting_subtitle.cpp
	scripting/scripting_subtitleline.cpp
	#[[ speechprocessor ]] speechprocessor/speechprocessor.cpp speechprocessor/speechplugin.cpp
	#[[ streamprocessor ]] streamprocessor/streamprocessor.cpp
	#[[ utils ]] utils/finder.cpp utils/replacer.cpp utils/speller.cpp utils/translator.cpp utils/language.cpp
	#[[ videoplayer ]] videoplayer/videoplayer.cpp videoplayer/videowidget.cpp videoplayer/waveformat.h videoplayer/subtitletextoverlay.cpp
	videoplayer/backend/glrenderer.cpp videoplayer/backend/ffplayer.cpp videoplayer/backend/framequeue.cpp videoplayer/backend/packetqueue.cpp
	videoplayer/backend/decoder.cpp videoplayer/backend/audiodecoder.cpp videoplayer/backend/videodecoder.cpp videoplayer/backend/subtitledecoder.cpp
	videoplayer/backend/clock.cpp videoplayer/backend/streamdemuxer.cpp videoplayer/backend/renderthread.cpp videoplayer/backend/videostate.cpp
	#[[ widgets ]] widgets/attachablewidget.cpp widgets/layeredwidget.cpp widgets/pointingslider.cpp widgets/simplerichtextedit.cpp
	widgets/textoverlaywidget.cpp widgets/timeedit.cpp widgets/timevalidator.cpp
	CACHE INTERNAL EXPORTEDVARIABLE
	)

kconfig_add_kcfg_files(subtitlecomposer_SRCS GENERATE_MOC scconfig.kcfgc)

ki18n_wrap_ui(subtitlecomposer_SRCS
	#[[ configs ]] configs/errorsconfigwidget.ui configs/generalconfigwidget.ui configs/playerconfigwidget.ui configs/waveformconfigwidget.ui
	#[[ dialogs ]] dialogs/encodingdetectdialog.ui dialogs/intinputdialog.ui dialogs/textinputdialog.ui
	#[[ formats ]] formats/vobsub/vobsubinputinitdialog.ui formats/vobsub/vobsubinputprocessdialog.ui
	#[[ scripting ]] scripting/scriptsmanager.ui
	)

add_subdirectory(icons)

qt5_add_resources(subtitlecomposer_RES_SRC ${subtitlecomposer_RES})

add_library(subtitlecomposer-lib STATIC ${subtitlecomposer_SRCS})
target_link_libraries(subtitlecomposer-lib
	Qt5::Core Qt5::Widgets Qt5::WidgetsPrivate Qt5::Gui
	KF5::CoreAddons KF5::WidgetsAddons KF5::TextWidgets KF5::Codecs
	KF5::SonnetCore KF5::SonnetUi
	KF5::KIOCore KF5::KIOFileWidgets KF5::KIOWidgets KF5::KIONTLM
	KF5::KrossCore KF5::KrossUi KF5::XmlGui KF5::I18n
	${FFMPEG_LIBRARIES}
	${OPENAL_LIBRARY}
	${ICU_LIBRARIES}
)
target_include_directories(subtitlecomposer-lib PUBLIC
	${Qt5Core_INCLUDE_DIRS}
	${Qt5Widgets_INCLUDE_DIRS} ${Qt5Widgets_PRIVATE_INCLUDE_DIRS}
	${Qt5Gui_INCLUDE_DIRS} ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
	${OPENAL_INCLUDE_DIR}
	${FFMPEG_INCLUDE_DIRS}
)
if(ICU_FOUND)
	message(STATUS "ICU Library will be used for charset detection.")
	set(HAVE_ICU 1 CACHE INTERNAL EXPORTEDVARIABLE)
	target_include_directories(subtitlecomposer-lib PUBLIC ${ICU_INCLUDE_DIRS})
else()
	message(STATUS "ICU Library not found. KEncodingProber fallback will be used for charset detection.")
endif()

add_subdirectory(tests)
add_subdirectory(scripting)

add_executable(subtitlecomposer WIN32 main.cpp ${subtitlecomposer_RES_SRC})
target_link_libraries(subtitlecomposer subtitlecomposer-lib)

install(TARGETS subtitlecomposer DESTINATION ${BIN_INSTALL_DIR})

install(FILES subtitlecomposerrc DESTINATION ${CONFIG_INSTALL_DIR})
install(FILES subtitlecomposerui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/subtitlecomposer)
install(FILES org.kde.subtitlecomposer.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES org.kde.subtitlecomposer.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES subtitlecomposer.xml DESTINATION ${XDG_MIME_INSTALL_DIR})

# build plugins
add_subdirectory(speechplugins/pocketsphinx)

# do the configuration of config.h at the end, so all the necessary variables have been set
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

=== src/icons/CMakeLists.txt ===
list(APPEND subtitlecomposer_RES ${CMAKE_CURRENT_SOURCE_DIR}/icon-bundle.qrc)

if(MINGW)
	list(APPEND subtitlecomposer_RES_SRC ${CMAKE_CURRENT_SOURCE_DIR}/subtitlecomposer.rc)
	set(BUNDLE_THEME_ICONS 1)
elseif(APPIMAGE)
	ecm_install_icons(ICONS
		256-apps-subtitlecomposer.png
		DESTINATION ${ICON_INSTALL_DIR}
		THEME hicolor)
	set(BUNDLE_THEME_ICONS 1)
else()
	ecm_install_icons(ICONS
		16-apps-subtitlecomposer.png 32-apps-subtitlecomposer.png 128-apps-subtitlecomposer.png 256-apps-subtitlecomposer.png
		DESTINATION ${ICON_INSTALL_DIR}
		THEME hicolor)
endif()

if(BUNDLE_THEME_ICONS)
	if(BUNDLE_THEME_ICONS EQUAL 1)
		if(CMAKE_CROSSCOMPILING)
			set(BUNDLE_THEME_ICONS "/usr/share/icons/breeze") # how do you get host's install_prefix when cross compiling?
		else()
			set(BUNDLE_THEME_ICONS "${CMAKE_INSTALL_PREFIX}/${ICON_INSTALL_DIR}/breeze")
		endif()
	endif()
	message(STATUS "Bundling system icon theme...'")
	execute_process(COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/theme-icons-bundle.sh" "${BUNDLE_THEME_ICONS}"
		OUTPUT_FILE ${CMAKE_CURRENT_BINARY_DIR}/theme-icons-bundle.qrc)
	list(APPEND subtitlecomposer_RES ${CMAKE_CURRENT_BINARY_DIR}/theme-icons-bundle.qrc)
	set(SC_BUNDLE_SYSTEM_THEME 1 CACHE INTERNAL EXPORTEDVARIABLE)
endif()

# export vars
set(subtitlecomposer_RES_SRC "${subtitlecomposer_RES_SRC}" PARENT_SCOPE)
set(subtitlecomposer_RES "${subtitlecomposer_RES}" PARENT_SCOPE)

=== src/scripting/CMakeLists.txt ===
FILE(GLOB ruby_examples examples/*.rb)
FILE(GLOB python_examples examples/*.py)
FILE(GLOB javascript_examples examples/*.js)
FILE(GLOB header_files scripting_*.h)

INSTALL(FILES
	${ruby_examples} ${python_examples} ${javascript_examples} examples/README
	DESTINATION ${DATA_INSTALL_DIR}/subtitlecomposer/scripts
)

INSTALL(FILES
	${header_files}
	DESTINATION ${DATA_INSTALL_DIR}/subtitlecomposer/scripts/api
)

=== src/tests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include_directories(
	${Qt5Test_INCLUDE_DIRS}
)

add_executable(test-core-rangelist rangelisttest.cpp)
add_test(subtitlecomposer test-core-rangelist)
ecm_mark_as_test(test-core-rangelist)
target_link_libraries(test-core-rangelist Qt5::Test subtitlecomposer-lib)

add_executable(test-core-range rangetest.cpp)
add_test(subtitlecomposer test-core-range)
ecm_mark_as_test(test-core-range)
target_link_libraries(test-core-range Qt5::Test subtitlecomposer-lib)

add_executable(test-core-time timetest.cpp)
add_test(subtitlecomposer test-core-time)
ecm_mark_as_test(test-core-time)
target_link_libraries(test-core-time Qt5::Test subtitlecomposer-lib)

add_executable(test-core-sstring sstringtest.cpp)
add_test(subtitlecomposer test-core-sstring)
ecm_mark_as_test(test-core-sstring)
target_link_libraries(test-core-sstring Qt5::Test subtitlecomposer-lib)

add_executable(test-core-richdocument richdocumenttest.cpp)
add_test(subtitlecomposer test-core-richdocument)
ecm_mark_as_test(test-core-richdocument)
target_link_libraries(test-core-richdocument Qt5::Test subtitlecomposer-lib)

add_executable(test-subtitle subtitletest.cpp)
add_test(subtitlecomposer test-subtitle)
ecm_mark_as_test(test-subtitle)
target_link_libraries(test-subtitle Qt5::Test subtitlecomposer-lib)

=== src/speechplugins/pocketsphinx/CMakeLists.txt ===
find_package(PocketSphinx 5)
if(NOT POCKETSPHINX_FOUND)
	message(STATUS "Have NOT Found PocketSphinx - Speech plugin will not be built")
	return()
endif()

set(speech_pocketsphinx_SRCS
	../../speechprocessor/speechplugin.cpp
	pocketsphinxplugin.cpp
	pocketsphinxconfigwidget.cpp
	CACHE INTERNAL EXPORTEDVARIABLE
)
ki18n_wrap_ui(speech_pocketsphinx_SRCS
	pocketsphinxconfigwidget.ui
)
kconfig_add_kcfg_files(speech_pocketsphinx_SRCS GENERATE_MOC
	${CMAKE_CURRENT_SOURCE_DIR}/pocketsphinxconfig.kcfgc
)

add_library(pocketsphinxasr MODULE ${speech_pocketsphinx_SRCS})

install(TARGETS pocketsphinxasr DESTINATION ${SC_PLUGIN_INSTALL_DIR})

target_include_directories(pocketsphinxasr SYSTEM PRIVATE
	${CMAKE_CURRENT_BINARY_DIR} # so files can find plugin-config.h
	${POCKETSPHINX_INCLUDE_DIRS})
target_link_libraries(pocketsphinxasr
	Qt5::Core Qt5::Widgets Qt5::Gui
	KF5::I18n
	KF5::KIOCore KF5::KIOFileWidgets KF5::KIOWidgets KF5::KIONTLM
	${POCKETSPHINX_LIBRARIES})

add_dependencies(pocketsphinxasr subtitlecomposer)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/plugin-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/plugin-config.h)

set(CMAKE_REQUIRED_INCLUDES ${POCKETSPHINX_INCLUDE_DIRS})
set(CMAKE_REQUIRED_LIBRARIES ${POCKETSPHINX_LIBRARIES})
check_cxx_source_compiles("#include <pocketsphinx.h>\nint main(){ ps_seg_iter(nullptr); return 0; }" PocketSphinx_NEW_ps_seg_iter)
if(PocketSphinx_NEW_ps_seg_iter)
	target_compile_definitions(pocketsphinxasr PRIVATE HAS_NEW_PS_SEG_ITER=1)
endif()

=== debian/changelog ===
subtitlecomposer (0.7.1-5build1) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 22:12:23 +0200

subtitlecomposer (0.7.1-5) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 12f4d7f49d0b1a7fc02b0836521a285e7b6bac9d to switch
    away from av_mallocz_array(), removed in ffmpeg 6; patch
    upstream_Use-non-deprecated-ffmpeg-api.patch. (Closes: #1041507)
  * Update standards version to 4.6.2, no changes needed.

 -- Pino Toscano <pino@debian.org>  Thu, 27 Jul 2023 09:58:30 +0200

subtitlecomposer (0.7.1-4) unstable; urgency=medium

  * Team upload.

  [ Diederik de Haas ]
  * Backport upstream commit d8f9797d9c0d45fa9f4402f79c539544b74d2cc7 to
    remove deprecated API usage; patch
    upstream_VideoPlayer-Fix-usage-of-deprecated-removed-AVCodec-.patch.
    (Closes: #1020819)

 -- Pino Toscano <pino@debian.org>  Fri, 28 Oct 2022 11:41:15 +0200

subtitlecomposer (0.7.1-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * CI: enable again the blhc job.
  * Backport upstream commit 4f4f560e40ba0b760cf688eb024be3cc734ca347 to build
    with ffmpeg 5.x; patch upstream_Fix-compilation-with-ffmpeg5-63.patch.
    (Closes: #1004600)
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 24 Jun 2022 08:17:14 +0200

subtitlecomposer (0.7.1-2) unstable; urgency=medium

  * Team upload.
  * Add the libqt5opengl5-desktop-dev build dependency: even if subtitlecomposer
    does not use QtOpenGL directly, it does seem to require the Desktop GL, and
    cannot use EGL.
  * Add the libpocketsphinx-dev build dependency to enable the support for
    speech recognition; only on amd64, and i386 for now, as PocketSphinx is not
    available on all the architectures.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Oct 2021 20:17:00 +0200

subtitlecomposer (0.7.1-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Point Source field in machine readable copyright to the invent.kde.org
    repo.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.

  [ Pino Toscano ]
  * New upstream release:
    - drops the subpicture/x-pgs MIME from the desktop file (Closes: #944274)
  * Update lintian overrides.
  * Update watch file to the new upstream release location, and switch to v4.
  * Update the patches:
    - fix-appstream.diff: drop, fixed upstream
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.4
    - bump Qt packages to 5.9.0
    - bump KF packages to 5.44.0
    - add qtbase5-private-dev, libswscale-dev, and libopenal-dev
    - explicitly add gettext
    - remove no more needed: libphonon4qt5-dev, libphonon4qt5experimental-dev,
      libgstreamer-plugins-base1.0-dev, libglib2.0-dev, libmpv-dev, and
      libxcb1-dev
  * Mark the xauth, and xvfb build dependencies as nocheck, as they are needed
    only by dh_auto_test.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Drop the mplayer suggest, as it is no more used.
  * CI: disable the blhc job.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Oct 2021 07:26:51 +0200

subtitlecomposer (0.7.0-2) unstable; urgency=medium

  * Team upload.
  * Drop the Debian man page, as it is outdated, and it offers no useful
    information.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.
  * Fix the AppStream XML file (patch fix-appstream.diff), and ship it again.
  * Do not specify to link in as-needed mode, as it is the binutils default now.

 -- Pino Toscano <pino@debian.org>  Thu, 06 Aug 2020 09:22:25 +0200

=== debian/control ===
Source: subtitlecomposer
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
 cmake (>= 3.4.0~),
 pkg-kde-tools (>= 0.15.16),
 qtbase5-dev (>= 5.9.0~),
 qtbase5-private-dev (>= 5.9.0~),
 libqt5opengl5-desktop-dev (>= 5.9.0~),
 extra-cmake-modules (>= 1.2.0),
 libkf5auth-dev (>= 5.44.0~),
 libkf5codecs-dev (>= 5.44.0~),
 libkf5config-dev (>= 5.44.0~),
 libkf5configwidgets-dev (>= 5.44.0~),
 libkf5coreaddons-dev (>= 5.44.0~),
 libkf5i18n-dev (>= 5.44.0~),
 libkf5kio-dev (>= 5.44.0~),
 kross-dev (>= 5.44.0~),
 libkf5sonnet-dev (>= 5.44.0~),
 libkf5textwidgets-dev (>= 5.44.0~),
 libkf5widgetsaddons-dev (>= 5.44.0~),
 libkf5xmlgui-dev (>= 5.44.0~),
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libswresample-dev,
 libswscale-dev,
 pkg-config,
 libicu-dev,
 libopenal-dev,
 libpocketsphinx-dev [amd64 i386],
 gettext,
# for tests:
 xvfb <!nocheck>,
 xauth <!nocheck>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://subtitlecomposer.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/subtitlecomposer
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/subtitlecomposer.git

Package: subtitlecomposer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: text-based subtitle editor
 A text-based subtitles editor supporting basic operations (text, time and
 style edition), realtime previewing and spell checking. Other fancy features
 are delaying all subtitles in the current subtitle file, checking errors or
 creating translations.
 .
 Different backends (GStreamer, MPlayer, MPV, or Phonon) can be used to play
 the realtime video preview which helps to synchronize the subtitles.
